
QGIS Application - Bug report #17599

Importing ZM vectors to PostGIS does not work

2017-12-01 08:35 AM - Teddy Guerin

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:3.4.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25496

Description

With QGIS 2.18.3 it is impossible to load shapefile pointZ in PostGIS database.

It works with ogr, but with GUI in QGIS it doesn't work.

"error 8" 

It works with QGIS 2.8

It works with QGIS 2.14 but we must add option "simple geometry".

I add a file for test.

History

#1 - 2017-12-03 10:56 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Subject changed from cannot upload shp pointZ to PostGIS whith GUI QGIS to cannot upload shp pointZM to PostGIS whith GUI QGIS

- Category changed from Data Provider/PostGIS to Vectors

- Assignee deleted (Jürgen Fischer)

- Regression? changed from Yes to No

I cannot confirm that this worked somehow in 2.8 (the layer is not even recognized as a geometry one) or 2.14 (error as in 2.18). Is needed to check if this

only affects ZM layers (like the one attached) or also Z layers.

#2 - 2017-12-03 11:16 AM - Giovanni Manghi

It seems that with Z layers it all works as expected, so the bug may concern only ZM ones.

#3 - 2017-12-05 07:57 AM - Teddy Guerin

- File load_pointZ.png added

Hi,

I add a screenshot to improve understanding.

Best regards

#4 - 2017-12-05 07:55 PM - Giovanni Manghi
Teddy Guerin wrote:

Hi,

I add a screenshot to improve understanding.

thanks, as I said above the layer is ZM and not only Z (with the latter type is all ok).

#5 - 2017-12-05 07:56 PM - Giovanni Manghi

- Subject changed from cannot upload shp pointZM to PostGIS whith GUI QGIS to Importing ZM vectors to PostGIS does not work

- Status changed from Feedback to Open

- Operating System deleted (Windows)

#6 - 2019-01-21 12:34 AM - Jürgen Fischer

- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#7 - 2019-01-21 09:02 AM - Teddy Guerin

- File QGIS_2_Postgis_PB.PNG added

Hi,

I've just tested and I have an error "pop up".

In attachment a new screenshot.

Ted

#8 - 2019-01-21 09:12 AM - Giovanni Manghi

- Affected QGIS version changed from 2.18.13 to 3.4.3

#9 - 2019-03-09 11:31 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

Works fine on 3.6

Files

sondes.zip 13.9 KB 2017-12-01 Teddy Guerin

load_pointZ.png 260 KB 2017-12-05 Teddy Guerin

QGIS_2_Postgis_PB.PNG 37.6 KB 2019-01-21 Teddy Guerin
